Subject: bug#69748: [bug-diffutils] bug#69748: Does diff not work on big enough files?

From: Paul Eggert <[email-masked]>
Date: Tue, 12 Mar 2024 12:58:39 -0700

On 3/12/24 08:17, Robert Boyer wrote:

> It is simply incredible to me that diff might not work!

Like any other program, 'diff' needs enough resources to run. You're 
trying to compare a 5 GiB file on a Chromebook that has (let me guess) 4 
GiB of RAM and 32 GB of flash, most of which is occupied by ChromeOS and 
other stuff. If so, there isn't enough room for 'diff' to do its job 
with its current algorithm and you'll have to either use a bigger 
machine or solve a smaller problem.

It's possible to imagine a different 'diff' algorithm that would take 
less RAM but a lot more time, presumably because it would do more I/O to 
a temporary file. But if the available flash is small enough, even that 
wouldn't work. I doubt whether it'd be worth the time to develop the 
code for this alternative approach.